
#language: ru

@TransportLogistics

Функционал: 009. TransportLogistics. Создание планов отгрузки

Сценарий: 009.1. TransportLogistics. Создание плана отгрузки на основании заказа - для формирования задания по шаблону

	Дано Я подключаюсь под "Создание планов отгрузки"
	Дано я устанавливаю текущему сеансу заголовок приложения "18.009. Транспортная логистика"
	Дано я удаляю объекты "Документы.к2ПланОтгрузки" без контроля ссылок
	И В командном интерфейсе я выбираю 'Заказы' 'Заказы клиентов'
	Тогда открылось окно 'Заказы клиентов'
	И в таблице "Список" я перехожу к строке:
		| 'Комментарий'                                                 |
		| 'Создание заказа клиента для формирования задания по шаблону' |
	И я нажимаю на кнопку 'План отгрузки'
	Тогда открылось окно 'План отгрузки (создание)'
	И я перехожу к закладке "Дополнительно"
	И в поле 'Комментарий' я ввожу текст 'План отгрузки для формирования задания по шаблону'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'План отгрузки * от *' в течение 20 секунд
	Тогда открылось окно 'Заказы клиентов'
	И Я закрываю окно 'Заказы клиентов'

Сценарий: 009.2. TransportLogistics. Создание плана отгрузки на основании заказа - для задания на доставку с ТС и водителем в виде строки

	И В командном интерфейсе я выбираю 'Заказы' 'Заказы клиентов'
	Тогда открылось окно 'Заказы клиентов'
	И в таблице "Список" я перехожу к строке:
		| 'Комментарий'                                                                    |
		| 'Создание заказа клиента для задания на доставку с ТС и водителем в виде строки' |
	И я нажимаю на кнопку 'План отгрузки'
	Тогда открылось окно 'План отгрузки (создание)'
	И я перехожу к закладке "Дополнительно"
	И в поле 'Комментарий' я ввожу текст 'План отгрузки для задания на доставку с ТС и водителем в виде строки'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'План отгрузки * от *' в течение 20 секунд
	Тогда открылось окно 'Заказы клиентов'
	И Я закрываю окно 'Заказы клиентов'

Сценарий: 009.3. TransportLogistics. Создание плана отгрузки для проверки попадания планов отгрузки в статусе запланировано в АРМы Мониторинг отгрузки и Формировнаие накладных

	И В командном интерфейсе я выбираю 'Склад и доставка' 'Планы отгрузки'
	Тогда открылось окно 'Планы отгрузки'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'План отгрузки (создание)'
	И в поле с именем 'Дата' я ввожу текст '19.05.2020  0:00:00'
	И в поле 'Дата отгрузки' я ввожу текст '19.05.2020'
	И из выпадающего списка "Склад" я выбираю по строке 'Сырная ГП'
	И я устанавливаю флаг 'Требуется доставка'
	И я перехожу к закладке "Товары"
	И Я добавляю в заказ клиента номенклатуру "Сыр Адыгейский" с характеристикой "<Без маркировки>" в количестве "10,000"
	И в таблице "Товары" из выпадающего списка "Серия" я выбираю по строке '000001 до 27.10.2020 0:00:00'
	И в таблице "Товары" я завершаю редактирование строки
	И я перехожу к закладке "Дополнительно"
	И в поле 'Комментарий' я ввожу текст 'План отгрузки для проверки попадания планов отгрузки в статусе запланировано в АРМы Мониторинг отгрузки и Формирование накладных'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'План отгрузки * от *' в течение 20 секунд
	Тогда открылось окно 'Планы отгрузки'
	И Я закрываю окно 'Планы отгрузки'

Сценарий: 009.4. TransportLogistics. Создание планов отгрузки через АРМ Формирование плана отгрузки - для создания заданий на доставку для группы складов

	Когда Я открываю АРМ Формирование плана отгрузки и устанавливаю дату огрузки "07.04.2020"
	И в таблице "ТаблицаРаспоряжений" я перехожу к строке:
		| 'Заказ' | 'Получатель'             | 'Склад отгрузки' |
		| '51,25' | 'Ашан. Скидочный регион' | 'Сырная ГП'      |
	И я нажимаю на кнопку 'общее'
	И в таблице "ТаблицаРаспоряжений" я перехожу к строке:
		| 'Заказ'  | 'Получатель'             | 'Склад отгрузки' |
		| '25,625' | 'Ашан. Скидочный регион' | 'Куриная ГП'     |
	И я нажимаю на кнопку 'общее'
	Тогда таблица "ТаблицаРаспоряжений" стала равной по шаблону:
		| 'Заказ'  | 'Получатель'             | 'В плане' | 'План отгрузки'        | 'Зона доставки' | 'Склад отгрузки' |
		| '51,25'  | 'Ашан. Скидочный регион' | '51,25'   | 'План отгрузки * от *' | ''              | 'Сырная ГП'      |
		| '25,625' | 'Ашан. Скидочный регион' | '25,625'  | 'План отгрузки * от *' | ''              | 'Куриная ГП'     |
	И Я закрываю АРМ Формирование планов отгрузки
	
Сценарий: 009.5. TransportLogistics. Создание планов отгрузки через АРМ Формирование плана отгрузки - формирование по заказам

	Когда Я открываю АРМ Формирование плана отгрузки и устанавливаю дату огрузки "14.04.2020"
	Тогда я выбираю пункт контекстного меню с именем 'ТаблицаРаспоряженийКонтекстноеМенюВыделитьВсе' на элементе формы с именем "ТаблицаРаспоряжений"
	И я нажимаю на кнопку 'по заказам'
	И Я закрываю АРМ Формирование планов отгрузки

Сценарий: 009.6. TransportLogistics. Проверка планов отгрузки, сформированных по заказам

	И В командном интерфейсе я выбираю 'Склад и доставка' 'Планы отгрузки'
	Тогда открылось окно 'Планы отгрузки'
	И из выпадающего списка "Статус" я выбираю точное значение 'Запланировано'
	И из выпадающего списка "Склад" я выбираю по строке 'Сырная ГП'
	И из выпадающего списка "Номенклатура" я выбираю по строке 'Сыр Адыгейский'
	И я нажимаю на кнопку с именем 'НастройкаСписка'
	Тогда я жду открытия окна 'Настройка списка' в течение 20 секунд
	И в таблице "КомпоновщикНастроекПользовательскиеНастройкиЭлемент0ДоступныеПоляТаблица" я перехожу к строке:
		| 'Доступные поля' |
		| 'Дата отгрузки'  |
	И в таблице "КомпоновщикНастроекПользовательскиеНастройкиЭлемент0ДоступныеПоляТаблица" я выбираю текущую строку
	И в таблице "КомпоновщикНастроекПользовательскиеНастройкиЭлемент0Отбор" в поле с именем 'КомпоновщикНастроекПользовательскиеНастройкиЭлемент0ОтборДата' я ввожу текст '14.04.2020'
	И я нажимаю на кнопку 'Завершить редактирование'
	Тогда открылось окно 'Планы отгрузки'
	И я жду, что в таблице "Список" количество строк будет "равно" 2 в течение 3 секунд
	И я нажимаю на кнопку с именем 'НастройкаСписка'
	Тогда открылось окно 'Настройка списка'
	Тогда я жду открытия окна 'Настройка списка' в течение 20 секунд
	И я перехожу к закладке с именем "КомпоновщикНастроекПользовательскиеНастройкиЭлемент0"
	И в таблице "КомпоновщикНастроекПользовательскиеНастройкиЭлемент0Отбор" я перехожу к строке:
		| 'Вид сравнения' | 'Дата'       | 'Значение'          | 'Использование' | 'Поле'          | 'Применение' | 'Режим отображения' |
		| 'Равно'         | '14.04.2020' | 'Произвольная дата' | 'Да'            | 'Дата отгрузки' | 'Обычное'    | 'Быстрый доступ'    |
	И в таблице "КомпоновщикНастроекПользовательскиеНастройкиЭлемент0Отбор" я нажимаю на кнопку с именем 'КомпоновщикНастроекПользовательскиеНастройкиЭлемент0ОтборУдалить'
	И я нажимаю на кнопку с именем 'ФормаЗакончитьРедактирование'
	Тогда открылось окно 'Планы отгрузки'
	И Я очищаю все отборы на форме списка планов отгрузки
	И Я закрываю окно 'Планы отгрузки'

Сценарий: 009.7. TransportLogistics. Проверка отборов в АРМе Формирование плана отгрузки на вкладке Формирование планов отгрузки

	Когда Я открываю АРМ Формирование плана отгрузки и устанавливаю дату огрузки "07.04.2020"
	Тогда таблица "ТаблицаРаспоряжений" стала равной по шаблону:
		| 'Заказ'  | 'Получатель'             | 'В плане' | 'План отгрузки'        | 'Зона доставки' | 'Склад отгрузки' |
		| '51,25'  | 'Ашан. Скидочный регион' | '51,25'   | 'План отгрузки * от *' | ''              | 'Сырная ГП'      |
		| '25,625' | 'Ашан. Скидочный регион' | '25,625'  | 'План отгрузки * от *' | ''              | 'Куриная ГП'     |
	* Проверка отбора по заказам без планов отгрузки
		И я устанавливаю флаг 'Заказы без планов отгрузки'
		И я жду, что в таблице "ТаблицаРаспоряжений" количество строк будет "равно" 0 в течение 3 секунд
		И я снимаю флаг 'Заказы без планов отгрузки'
	* Проверка отбора по получателю
		И я нажимаю кнопку выбора у поля с именем "_Отбор_ТаблицаРаспоряженийПолучатель"
		И Я выбираю "Ашан. Бесскидочный регион" с типом "Точка доставки"
		Тогда открылось окно 'Формирование планов отгрузки *'
		И я жду, что в таблице "ТаблицаРаспоряжений" количество строк будет "равно" 0 в течение 3 секунд
		И я нажимаю кнопку очистить у поля с именем "_Отбор_ТаблицаРаспоряженийПолучатель"
	* Проверка отбора по зоне доставки
		И из выпадающего списка с именем '_Отбор_ТаблицаРаспоряженийЗонаДоставки' я выбираю по строке 'Зона доставки'
		И я жду, что в таблице "ТаблицаРаспоряжений" количество строк будет "равно" 0 в течение 3 секунд
		И я нажимаю кнопку очистить у поля с именем '_Отбор_ТаблицаРаспоряженийЗонаДоставки'
	* Проверка отбора по складу
		И из выпадающего списка с именем '_Отбор_ТаблицаРаспоряженийСклад' я выбираю по строке 'Сырная ГП'
		Тогда таблица "ТаблицаРаспоряжений" стала равной по шаблону:
			| 'Заказ'  | 'Получатель'             | 'В плане' | 'План отгрузки'        | 'Зона доставки' | 'Склад отгрузки' |
			| '51,25'  | 'Ашан. Скидочный регион' | '51,25'   | 'План отгрузки * от *' | ''              | 'Сырная ГП'      |
		И я нажимаю кнопку очистить у поля с именем '_Отбор_ТаблицаРаспоряженийСклад'
	* Проверка отбора по заказам
		И я нажимаю кнопку выбора у поля с именем "_Отбор_ТаблицаРаспоряженийЗаказ"
		Когда Я выбираю тип данных "Заказ клиента"
		Тогда открылось окно 'Заказы клиентов'
		И в таблице "Список" я перехожу к строке:
			| 'Комментарий'                                        |
			| 'Заказ для создания планов отгрузки по номенклатуре' |
		И в таблице "Список" я выбираю текущую строку
		Тогда открылось окно 'Формирование планов отгрузки *'
		И я жду, что в таблице "ТаблицаРаспоряжений" количество строк будет "равно" 0 в течение 3 секунд
		И я нажимаю кнопку очистить у поля с именем "_Отбор_ТаблицаРаспоряженийЗаказ"
	* Проверка отбора по плану отгрузки
		И я нажимаю кнопку выбора у поля с именем "_Отбор_ТаблицаРаспоряженийПланОтгрузки"
		Тогда открылось окно 'Планы отгрузки'
		И в таблице "Список" я перехожу к строке:
			| 'Комментарий'                                       |
			| 'План отгрузки для формирования задания по шаблону' |
		И в таблице "Список" я выбираю текущую строку
		Тогда открылось окно 'Формирование планов отгрузки *'
		И я жду, что в таблице "ТаблицаРаспоряжений" количество строк будет "равно" 0 в течение 3 секунд
		И я нажимаю кнопку очистить у поля с именем "_Отбор_ТаблицаРаспоряженийПланОтгрузки"
	* Проверка поля количество выделенных
		И в таблице "ТаблицаРаспоряжений" я перехожу к строке по шаблону:
			| 'В плане' | 'Заказ' | 'План отгрузки'   | 'Получатель'             | 'Склад отгрузки' |
			| '51,25'   | '51,25' | 'План отгрузки *' | 'Ашан. Скидочный регион' | 'Сырная ГП'      |
		Тогда элемент формы с именем "КоличествоВыделенных" стал равен '51,25'
		И в таблице "ТаблицаРаспоряжений" я перехожу к строке по шаблону:
			| 'В плане' | 'Заказ'  | 'План отгрузки'   | 'Получатель'             | 'Склад отгрузки' |
			| '25,625'  | '25,625' | 'План отгрузки *' | 'Ашан. Скидочный регион' | 'Куриная ГП'     |
		Тогда элемент формы с именем "КоличествоВыделенных" стал равен '25,63'
	И Я закрываю АРМ Формирование планов отгрузки

Сценарий: 009.8. TransportLogistics. Создание планов отгрузки через АРМ Формирование плана отгрузки - по номенклатуре

	Когда Я открываю АРМ Формирование плана отгрузки и устанавливаю дату огрузки "09.02.2021"
	Тогда таблица "ТаблицаРаспоряжений" стала равной:
		| 'Заказ'  | 'Получатель'             | 'В плане' | 'План отгрузки' | 'Зона доставки' | 'Склад отгрузки' |
		| '15,375' | 'Ашан. Скидочный регион' | ''        | ''              | ''              | 'Сырная ГП'      |
	И я нажимаю на кнопку с именем 'ТаблицаРаспоряженийСформироватьРаспоряжениеПоНоменклатуре'
	Тогда открылось окно 'Формирование плана отгрузки'
	И элемент формы с именем "ДатаОтгрузки" стал равен '09.02.2021'
	И элемент формы с именем "Склад" стал равен 'Сырная ГП'
	Тогда таблица "ТоварыЗаказа" содержит строки:
		| 'Номенклатура'    | 'В заказе' | 'Характеристика' | 'Серия' | 'В упаковках' | 'Упаковка'           | 'В Ед.Изм.' |
		| 'Сыр Адыгейский'  | '5,13'     | 'Ашан'           | ''      | '1,00'        | 'упак (5 кг) (Ашан)' | '5,13'      |
		| 'Сыр Пошехонский' | '5,13'     | 'Ашан'           | ''      | '1,00'        | 'упак (5 кг) (Ашан)' | '5,13'      |
		| 'Сыр Костромской' | '5,13'     | 'Ашан'           | ''      | '1,00'        | 'упак (5 кг) (Ашан)' | '5,13'      |
	И в таблице "ДеревоРаспоряжений" количество строк "равно" 0
	И в таблице "ДеревоРаспоряжений" я нажимаю на кнопку с именем 'ДеревоРаспоряженийСоздатьНовоеРаспоряжение'
	И в таблице "ДеревоРаспоряжений" я перехожу к строке:
		| 'Распоряжение' |
		| '1'            |
	И в таблице "ТоварыЗаказа" я перехожу к строке:
		| 'В Ед.Изм.' | 'В заказе' | 'В упаковках' | 'Номенклатура'    | 'Упаковка'           | 'Характеристика' |
		| '5,13'      | '5,13'     | '1,00'        | 'Сыр Пошехонский' | 'упак (5 кг) (Ашан)' | 'Ашан'           |
	И в таблице "ТоварыЗаказа" я нажимаю на кнопку с именем 'ТоварыЗаказаПеренестиСтроку'
	И в таблице "ТоварыЗаказа" я перехожу к строке:
		| 'В Ед.Изм.' | 'В заказе' | 'В упаковках' | 'Номенклатура'    | 'Упаковка'           | 'Характеристика' |
		| '5,13'      | '5,13'     | '1,00'        | 'Сыр Костромской' | 'упак (5 кг) (Ашан)' | 'Ашан'           |
	И в таблице "ТоварыЗаказа" я нажимаю на кнопку с именем 'ТоварыЗаказаПеренестиСтроку'
	И в таблице "ДеревоРаспоряжений" я нажимаю на кнопку с именем 'ДеревоРаспоряженийСоздатьНовоеРаспоряжение'
	И в таблице "ДеревоРаспоряжений" я перехожу к строке:
		| 'Распоряжение' |
		| '2'            |
	И в таблице "ТоварыЗаказа" я перехожу к строке:
		| 'В Ед.Изм.' | 'В заказе' | 'В упаковках' | 'Номенклатура'   | 'Упаковка'           | 'Характеристика' |
		| '5,13'      | '5,13'     | '1,00'        | 'Сыр Адыгейский' | 'упак (5 кг) (Ашан)' | 'Ашан'           |
	И в таблице "ТоварыЗаказа" я нажимаю на кнопку с именем 'ТоварыЗаказаПеренестиСтроку'
	Тогда таблица "ТоварыЗаказа" содержит строки:
		| 'Номенклатура'    | 'В заказе' | 'Характеристика' | 'Серия' | 'В упаковках' | 'Упаковка'           | 'В Ед.Изм.' |
		| 'Сыр Адыгейский'  | '5,13'     | 'Ашан'           | ''      | ''            | 'упак (5 кг) (Ашан)' | ''          |
		| 'Сыр Пошехонский' | '5,13'     | 'Ашан'           | ''      | ''            | 'упак (5 кг) (Ашан)' | ''          |
		| 'Сыр Костромской' | '5,13'     | 'Ашан'           | ''      | ''            | 'упак (5 кг) (Ашан)' | ''          |
	И таблица "ДеревоРаспоряжений" стала равной:
		| 'Распоряжение' | 'Номенклатура'    | 'Характеристика' | 'Серия' | 'В упаковках' | 'Упаковка'           | 'В Ед.Изм.' |
		| '1'            | ''                | ''               | ''      | ''            | ''                   | ''          |
		| '1'            | 'Сыр Пошехонский' | 'Ашан'           | ''      | '1,00'        | 'упак (5 кг) (Ашан)' | '5,13'      |
		| '1'            | 'Сыр Костромской' | 'Ашан'           | ''      | '1,00'        | 'упак (5 кг) (Ашан)' | '5,13'      |
		| '2'            | ''                | ''               | ''      | ''            | ''                   | ''          |
		| '2'            | 'Сыр Адыгейский'  | 'Ашан'           | ''      | '1,00'        | 'упак (5 кг) (Ашан)' | '5,13'      |
	И в таблице "ТоварыЗаказа" я нажимаю на кнопку с именем 'ТоварыЗаказаЗакончитьРаспределение'
	Тогда открылось окно '1С:Предприятие'
	И я нажимаю на кнопку с именем 'Button0'
	Тогда открылось окно 'Формирование планов отгрузки *'
	Тогда таблица "ТаблицаРаспоряжений" стала равной по шаблону:
		| 'Заказ'  | 'Получатель'             | 'В плане' | 'План отгрузки'        | 'Зона доставки' | 'Склад отгрузки' |
		| '15,375' | 'Ашан. Скидочный регион' | '15,375'  | 'План отгрузки * от *' | ''              | 'Сырная ГП'      |
		| '15,375' | 'Ашан. Скидочный регион' | '15,375'  | 'План отгрузки * от *' | ''              | 'Сырная ГП'      |
	И в таблице "ТаблицаРаспоряжений" я перехожу к строке по шаблону:
		| 'В плане' | 'Заказ'  | 'План отгрузки'        | 'Получатель'             | 'Склад отгрузки' |
		| '15,375'  | '15,375' | 'План отгрузки * от *' | 'Ашан. Скидочный регион' | 'Сырная ГП'      |
	И в таблице "ТаблицаРаспоряжений" я активизирую поле с именем "ТаблицаРаспоряженийПланОтгрузки"
	И в таблице "ТаблицаРаспоряжений" я выбираю текущую строку
	Тогда открылось окно 'План отгрузки * от *'
	Тогда таблица "Товары" стала равной по шаблону:
		| 'Количество' | 'Основание'                     | 'Номенклатура'    | 'Ед.'                | 'Характеристика' | 'Серия' | 'В ед. хранения' | 'Вес, кг' | 'Мест, м3' |
		| '1,000'      | 'Заказ клиента * от * [Создан]' | 'Сыр Пошехонский' | 'упак (5 кг) (Ашан)' | 'Ашан'           | ''      | '5,125, кг'      | '10,25'   | ''         |
		| '1,000'      | 'Заказ клиента * от * [Создан]' | 'Сыр Костромской' | 'упак (5 кг) (Ашан)' | 'Ашан'           | ''      | '5,125, кг'      | '10,25'   | ''         |
	И Я закрываю окно 'План отгрузки * от *'
	Тогда открылось окно 'Формирование планов отгрузки *'
	И в таблице  "ТаблицаРаспоряжений" я перехожу на одну строку вниз
	И в таблице "ТаблицаРаспоряжений" я активизирую поле с именем "ТаблицаРаспоряженийПланОтгрузки"
	И в таблице "ТаблицаРаспоряжений" я выбираю текущую строку
	Тогда открылось окно 'План отгрузки * от *'
	Тогда таблица "Товары" стала равной по шаблону:
		| 'Количество' | 'Основание'                     | 'Номенклатура'   | 'Ед.'                | 'Характеристика' | 'Серия' | 'В ед. хранения' | 'Вес, кг' | 'Мест, м3' |
		| '1,000'      | 'Заказ клиента * от * [Создан]' | 'Сыр Адыгейский' | 'упак (5 кг) (Ашан)' | 'Ашан'           | ''      | '5,125, кг'      | '10,25'   | '5,755'    |
	И Я закрываю окно 'План отгрузки * от *'
	Тогда открылось окно 'Формирование планов отгрузки *'
	И Я закрываю АРМ Формирование планов отгрузки

Сценарий: 009.9. TransportLogistics. Завершение

	И я закрываю сеанс TESTCLIENT